Subject: bug#73862: [PATCH] Add `header-line-active` and `header-line-inactive` faces.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Dec 2024 19:39:19 +0200

> From: Eshel Yaron <[email-masked]>
> Cc: [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sun, 08 Dec 2024 17:29:04 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Eshel Yaron <[email-masked]>
> >> Cc: Aaron Jensen <[email-masked]>,  [email-masked],
> >>   [email-masked],  [email-masked]
> >> Date: Sun, 08 Dec 2024 15:11:07 +0100
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > We also haven't yet heard from Eshel.
> >> 
> >> I don't have any concrete suggestions at this point.  It's surely a
> >> complicated situation.
> >
> > Did you try the patch I posted, and if you did, did it resolve your
> > original problems?  
> 
> I did now, and it doesn't entirely solve the problem: with this patch,
> after remapping header-line in one buffer, the remapping now works for
> that buffer as expected, but it still also "spreads" to other buffers,
> which is unexpected.

What do you mean by "spreads to other buffers"?  When you remapped
header-line face before this change on master, did it behave
differently, and if so, how?